Bug 238951 - FC6 Xen Host with selinux enforcing does not work with RHEL 4.5 Xen Guest, /dev/xvda
FC6 Xen Host with selinux enforcing does not work with RHEL 4.5 Xen Guest, /d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 23:24 EDT by Kai Engert (:kaie)
Modified: 2008-02-26 19:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 19:10:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2007-05-03 23:24:38 EDT
Description of problem:
Use a FC6 system, x86_64, which has selinux set to enforcing.
Try to use virt-manager to install a RHEL 4.5 guest OS.
At the time the installer tries to access the (virtual) dist, I get an error
message.
The error message complains that /dev/xvda (or similar) can not get accessed.
Installation fails.


Version-Release number of selected component (if applicable):
xen-3.0.3-8.fc6
kernel-xen-2.6.20-1.2948.fc6
virt-manager-0.2.6-3.fc6


How reproducible:
See above.

Steps to Reproduce:
See above.

  
Additional info:
I switched my system to selinux Permissive mode, which fixed the above issue.
Comment 1 Matěj Cepl 2007-06-14 09:34:12 EDT
Shouldn't this be filed against some selinux component?
Comment 2 Michael De La Rue 2007-06-23 16:26:07 EDT
I think the actual bug is different.  There's a policy that images should be
created under /var/lib/xen/images

http://fedoraproject.org/wiki/FedoraXenQuickstartFC6#head-bb2bdb5340cb5ab3317adb58cf0876e805e16ad5

but the graphical installer doesn't suggest that in any way if you try a
different path.  I think the graphical installer should suggest the proper location.

Alternatively, SELinux is, whilst doing what is documented, wrong because it's
interefering with normal use.  But then the Xen group have to tell the SELinux
group what they expect...  
Comment 3 Chris Lalancette 2008-02-26 19:10:20 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.